## sssd 2.10.1

=== src/tests/tests/cwrap/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# src/tests/cwrap/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/sssd
pkgincludedir = $(includedir)/sssd
pkglibdir = $(libdir)/sssd
pkglibexecdir = $(libexecdir)/sssd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
#am__append_1 = ../../../src/responder/common/cache_req/plugins/cache_req_subid_ranges_by_name.c
check_PROGRAMS = $(am__EXEEXT_1)
am__append_2 = \
    become_user-tests \
    server-tests \
    usertools-tests \
    responder_common-tests \
    $(NULL)

#am__append_3 = $(abs_top_builddir)/stap_generated_probes.lo
#am__append_4 = $(abs_top_builddir)/stap_generated_probes.lo
subdir = src/tests/cwrap
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/version.m4 $(top_srcdir)/src/build_macros.m4 \
	$(top_srcdir)/src/external/platform.m4 \
	$(top_srcdir)/src/conf_macros.m4 \
	$(top_srcdir)/src/external/pkg.m4 \
	$(top_srcdir)/src/external/libpopt.m4 \
	$(top_srcdir)/src/external/libtalloc.m4 \
	$(top_srcdir)/src/external/libtdb.m4 \
	$(top_srcdir)/src/external/libtevent.m4 \
	$(top_srcdir)/src/external/libldb.m4 \
	$(top_srcdir)/src/external/libdhash.m4 \
	$(top_srcdir)/src/external/libini_config.m4 \
	$(top_srcdir)/src/external/libgssapi_krb5.m4 \
	$(top_srcdir)/src/external/pam.m4 \
	$(top_srcdir)/src/external/ldap.m4 \
	$(top_srcdir)/src/external/libpcre.m4 \
	$(top_srcdir)/src/external/krb5.m4 \
	$(top_srcdir)/src/external/libcares.m4 \
	$(top_srcdir)/src/external/libcmocka.m4 \
	$(top_srcdir)/src/external/docbook.m4 \
	$(top_srcdir)/src/external/sizes.m4 \
	$(top_srcdir)/src/external/python.m4 \
	$(top_srcdir)/src/external/selinux.m4 \
	$(top_srcdir)/src/external/crypto.m4 \
	$(top_srcdir)/src/external/nsupdate.m4 \
	$(top_srcdir)/src/external/libkeyutils.m4 \
	$(top_srcdir)/src/external/libkrad.m4 \
	$(top_srcdir)/src/external/libnl.m4 \
	$(top_srcdir)/src/external/pac_responder.m4 \
	$(top_srcdir)/src/external/cifsidmap.m4 \
	$(top_srcdir)/src/external/signal.m4 \
	$(top_srcdir)/src/external/inotify.m4 \
	$(top_srcdir)/src/external/samba.m4 \
	$(top_srcdir)/src/external/sasl.m4 \
	$(top_srcdir)/src/external/libnfsidmap.m4 \
	$(top_srcdir)/src/external/cwrap.m4 \
	$(top_srcdir)/src/external/libresolv.m4 \
	$(top_srcdir)/src/external/intgcheck.m4 \
	$(top_srcdir)/src/external/systemtap.m4 \
	$(top_srcdir)/src/external/service.m4 \
	$(top_srcdir)/src/external/test_ca.m4 \
	$(top_srcdir)/src/external/ax_valgrind_check.m4 \
	$(top_srcdir)/src/external/libjansson.m4 \
	$(top_srcdir)/src/external/libcurl.m4 \
	$(top_srcdir)/src/external/libjose.m4 \
	$(top_srcdir)/src/external/libuuid.m4 \
	$(top_srcdir)/src/external/libunistring.m4 \
	$(top_srcdir)/src/external/libpasskey.m4 \
	$(top_srcdir)/src/external/systemd.m4 \
	$(top_srcdir)/src/external/p11-kit.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(dist_noinst_SCRIPTS) \
	$(dist_noinst_DATA) $(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/build/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__EXEEXT_1 = become_user-tests$(EXEEXT) \
	server-tests$(EXEEXT) \
	usertools-tests$(EXEEXT) \
	responder_common-tests$(EXEEXT)
am_become_user_tests_OBJECTS =  \
	become_user_tests-test_become_user.$(OBJEXT)
become_user_tests_OBJECTS = $(am_become_user_tests_OBJECTS)
am__DEPENDENCIES_1 =
become_user_tests_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(abs_top_builddir)/libsss_debug.la \
	$(abs_top_builddir)/libsss_test_common.la
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
become_user_tests_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(become_user_tests_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
am__responder_common_tests_SOURCES_DIST = test_responder_common.c \
	../../../src/responder/common/responder_iface.c \
	../../../src/responder/common/negcache_files.c \
	../../../src/util/nss_dl_load.c \
	../../../src/responder/common/negcache.c \
	../../../src/responder/common/responder_common.c \
	../../../src/responder/common/responder_packet.c \
	../../../src/responder/common/responder_cmd.c \
	../../../src/tests/cmocka/common_mock_resp_dp.c \
	../../../src/util/session_recording.c \
	../../../src/responder/common/cache_req/cache_req.c \
	../../../src/responder/common/cache_req/cache_req_result.c \
	../../../src/responder/common/cache_req/cache_req_search.c \
	../../../src/responder/common/cache_req/cache_req_data.c \
	../../../src/responder/common/cache_req/cache_req_domain.c \
	../../../src/responder/common/cache_req/cache_req_sr_overlay.c \
	../../../src/responder/common/cache_req/plugins/cache_req_common.c \
	../../../src/responder/common/cache_req/plugins/cache_req_enum_users.c \
	../../../src/responder/common/cache_req/plugins/cache_req_enum_groups.c \
	../../../src/responder/common/cache_req/plugins/cache_req_enum_svc.c \
	../../../src/responder/common/cache_req/plugins/cache_req_enum_ip_hosts.c \
	../../../src/responder/common/cache_req/plugins/cache_req_enum_ip_networks.c \
	../../../src/responder/common/cache_req/plugins/cache_req_user_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_user_by_upn.c \
	../../../src/responder/common/cache_req/plugins/cache_req_user_by_id.c \
	../../../src/responder/common/cache_req/plugins/cache_req_user_by_filter.c \
	../../../src/responder/common/cache_req/plugins/cache_req_user_by_cert.c \
	../../../src/responder/common/cache_req/plugins/cache_req_group_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_group_by_id.c \
	../../../src/responder/common/cache_req/plugins/cache_req_group_by_filter.c \
	../../../src/responder/common/cache_req/plugins/cache_req_initgroups_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_initgroups_by_upn.c \
	../../../src/responder/common/cache_req/plugins/cache_req_object_by_sid.c \
	../../../src/responder/common/cache_req/plugins/cache_req_object_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_object_by_id.c \
	../../../src/responder/common/cache_req/plugins/cache_req_svc_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_svc_by_port.c \
	../../../src/responder/common/cache_req/plugins/cache_req_netgroup_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_ssh_host_id_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_autofs_map_entries.c \
	../../../src/responder/common/cache_req/plugins/cache_req_autofs_map_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_autofs_entry_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_ip_host_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_ip_host_by_addr.c \
	../../../src/responder/common/cache_req/plugins/cache_req_ip_network_by_name.c \
	../../../src/responder/common/cache_req/plugins/cache_req_ip_network_by_addr.c \
	../../../src/responder/common/cache_req/plugins/cache_req_subid_ranges_by_name.c
am__dirstamp = $(am__leading_dot)dirstamp
am__objects_1 = ../../../src/responder/common/responder_common_tests-responder_iface.$(OBJEXT)
#am__objects_2 = ../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_subid_ranges_by_name.$(OBJEXT)
am__objects_3 = ../../../src/responder/common/cache_req/responder_common_tests-cache_req.$(OBJEXT) \
	../../../src/responder/common/cache_req/responder_common_tests-cache_req_result.$(OBJEXT) \
	../../../src/responder/common/cache_req/responder_common_tests-cache_req_search.$(OBJEXT) \
	../../../src/responder/common/cache_req/responder_common_tests-cache_req_data.$(OBJEXT) \
	../../../src/responder/common/cache_req/responder_common_tests-cache_req_domain.$(OBJEXT) \
	../../../src/responder/common/cache_req/responder_common_tests-cache_req_sr_overlay.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_common.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_enum_users.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_enum_groups.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_enum_svc.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_enum_ip_hosts.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_enum_ip_networks.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_user_by_name.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_user_by_upn.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_user_by_id.$(OBJEXT) \
	../../../src/responder/common/cache_req/plugins/responder_common_tests-cache_req_user_by_filter.$(OBJEXT) \

=== src/tests/tests/intg/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# src/tests/intg/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/sssd
pkgincludedir = $(includedir)/sssd
pkglibdir = $(libdir)/sssd
pkglibexecdir = $(libexecdir)/sssd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
#bin_PROGRAMS = sss_netgroup_thread_test$(EXEEXT)
subdir = src/tests/intg
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/version.m4 $(top_srcdir)/src/build_macros.m4 \
	$(top_srcdir)/src/external/platform.m4 \
	$(top_srcdir)/src/conf_macros.m4 \
	$(top_srcdir)/src/external/pkg.m4 \
	$(top_srcdir)/src/external/libpopt.m4 \
	$(top_srcdir)/src/external/libtalloc.m4 \
	$(top_srcdir)/src/external/libtdb.m4 \
	$(top_srcdir)/src/external/libtevent.m4 \
	$(top_srcdir)/src/external/libldb.m4 \
	$(top_srcdir)/src/external/libdhash.m4 \
	$(top_srcdir)/src/external/libini_config.m4 \
	$(top_srcdir)/src/external/libgssapi_krb5.m4 \
	$(top_srcdir)/src/external/pam.m4 \
	$(top_srcdir)/src/external/ldap.m4 \
	$(top_srcdir)/src/external/libpcre.m4 \
	$(top_srcdir)/src/external/krb5.m4 \
	$(top_srcdir)/src/external/libcares.m4 \
	$(top_srcdir)/src/external/libcmocka.m4 \
	$(top_srcdir)/src/external/docbook.m4 \
	$(top_srcdir)/src/external/sizes.m4 \
	$(top_srcdir)/src/external/python.m4 \
	$(top_srcdir)/src/external/selinux.m4 \
	$(top_srcdir)/src/external/crypto.m4 \
	$(top_srcdir)/src/external/nsupdate.m4 \
	$(top_srcdir)/src/external/libkeyutils.m4 \
	$(top_srcdir)/src/external/libkrad.m4 \
	$(top_srcdir)/src/external/libnl.m4 \
	$(top_srcdir)/src/external/pac_responder.m4 \
	$(top_srcdir)/src/external/cifsidmap.m4 \
	$(top_srcdir)/src/external/signal.m4 \
	$(top_srcdir)/src/external/inotify.m4 \
	$(top_srcdir)/src/external/samba.m4 \
	$(top_srcdir)/src/external/sasl.m4 \
	$(top_srcdir)/src/external/libnfsidmap.m4 \
	$(top_srcdir)/src/external/cwrap.m4 \
	$(top_srcdir)/src/external/libresolv.m4 \
	$(top_srcdir)/src/external/intgcheck.m4 \
	$(top_srcdir)/src/external/systemtap.m4 \
	$(top_srcdir)/src/external/service.m4 \
	$(top_srcdir)/src/external/test_ca.m4 \
	$(top_srcdir)/src/external/ax_valgrind_check.m4 \
	$(top_srcdir)/src/external/libjansson.m4 \
	$(top_srcdir)/src/external/libcurl.m4 \
	$(top_srcdir)/src/external/libjose.m4 \
	$(top_srcdir)/src/external/libuuid.m4 \
	$(top_srcdir)/src/external/libunistring.m4 \
	$(top_srcdir)/src/external/libpasskey.m4 \
	$(top_srcdir)/src/external/systemd.m4 \
	$(top_srcdir)/src/external/p11-kit.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__dist_dbussysconf_DATA_DIST) \
	$(dist_noinst_DATA) $(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/build/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libdir)" \
	"$(DESTDIR)$(nsslibdir)" "$(DESTDIR)$(dbussysconfdir)"
PROGRAMS = $(bin_PROGRAMS)
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
LTLIBRARIES = $(lib_LTLIBRARIES) $(nsslib_LTLIBRARIES)
am__DEPENDENCIES_1 =
#getsockopt_wrapper_la_DEPENDENCIES =  \
#	$(am__DEPENDENCIES_1)
am__getsockopt_wrapper_la_SOURCES_DIST = getsockopt_wrapper.c
#am_getsockopt_wrapper_la_OBJECTS =  \
#	getsockopt_wrapper_la-getsockopt_wrapper.lo
getsockopt_wrapper_la_OBJECTS = $(am_getsockopt_wrapper_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
getsockopt_wrapper_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(getsockopt_wrapper_la_CFLAGS) $(CFLAGS) \
	$(getsockopt_wrapper_la_LDFLAGS) $(LDFLAGS) -o $@
#am_getsockopt_wrapper_la_rpath = -rpath $(libdir)
libnss_call_la_LIBADD =
am__libnss_call_la_SOURCES_DIST = nss_call.c
#am_libnss_call_la_OBJECTS = nss_call.lo
libnss_call_la_OBJECTS = $(am_libnss_call_la_OBJECTS)
libnss_call_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(libnss_call_la_LDFLAGS) $(LDFLAGS) -o \
	$@
#am_libnss_call_la_rpath = -rpath $(nsslibdir)
am__sss_netgroup_thread_test_SOURCES_DIST =  \
	sss_netgroup_thread_test.c
#am_sss_netgroup_thread_test_OBJECTS = sss_netgroup_thread_test-sss_netgroup_thread_test.$(OBJEXT)
sss_netgroup_thread_test_OBJECTS =  \
	$(am_sss_netgroup_thread_test_OBJECTS)
sss_netgroup_thread_test_DEPENDENCIES =
sss_netgroup_thread_test_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(sss_netgroup_thread_test_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/build/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade =  \
	./$(DEPDIR)/getsockopt_wrapper_la-getsockopt_wrapper.Plo \
	./$(DEPDIR)/nss_call.Plo \
	./$(DEPDIR)/sss_netgroup_thread_test-sss_netgroup_thread_test.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(getsockopt_wrapper_la_SOURCES) $(libnss_call_la_SOURCES) \
	$(sss_netgroup_thread_test_SOURCES)
DIST_SOURCES = $(am__getsockopt_wrapper_la_SOURCES_DIST) \
	$(am__libnss_call_la_SOURCES_DIST) \
	$(am__sss_netgroup_thread_test_SOURCES_DIST)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__dist_dbussysconf_DATA_DIST = cwrap-dbus-system.conf
DATA = $(dist_dbussysconf_DATA) $(dist_noinst_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/build/depcomp \
	$(top_srcdir)/build/mkinstalldirs
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' autoconf
AUTOHEADER = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' autoheader
AUTOMAKE = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' automake-1.16
AWK = gawk
CAP_CFLAGS =

=== src/tests/tests/multihost/requirements.txt ===
pexpect
pytest
pytest_multihost
python-ldap
PyYAML
pymmh3
ssh2-python
git+https://github.com/next-actions/pytest-importance
git+https://github.com/next-actions/pytest-ticket

=== src/tests/tests/system/requirements.txt ===
flaky
pytest
git+https://github.com/next-actions/pytest-importance
git+https://github.com/next-actions/pytest-mh
git+https://github.com/next-actions/pytest-ticket
git+https://github.com/next-actions/pytest-tier
git+https://github.com/next-actions/pytest-output
git+https://github.com/SSSD/sssd-test-framework

=== src/tests/tests/test_CA/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# src/tests/test_CA/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/sssd
pkgincludedir = $(includedir)/sssd
pkglibdir = $(libdir)/sssd
pkglibexecdir = $(libexecdir)/sssd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
am__append_1 = softhsm2_expired
am__append_2 = SSSD_test_CA_expired_crl.pem
subdir = src/tests/test_CA
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/version.m4 $(top_srcdir)/src/build_macros.m4 \
	$(top_srcdir)/src/external/platform.m4 \
	$(top_srcdir)/src/conf_macros.m4 \
	$(top_srcdir)/src/external/pkg.m4 \
	$(top_srcdir)/src/external/libpopt.m4 \
	$(top_srcdir)/src/external/libtalloc.m4 \
	$(top_srcdir)/src/external/libtdb.m4 \
	$(top_srcdir)/src/external/libtevent.m4 \
	$(top_srcdir)/src/external/libldb.m4 \
	$(top_srcdir)/src/external/libdhash.m4 \
	$(top_srcdir)/src/external/libini_config.m4 \
	$(top_srcdir)/src/external/libgssapi_krb5.m4 \
	$(top_srcdir)/src/external/pam.m4 \
	$(top_srcdir)/src/external/ldap.m4 \
	$(top_srcdir)/src/external/libpcre.m4 \
	$(top_srcdir)/src/external/krb5.m4 \
	$(top_srcdir)/src/external/libcares.m4 \
	$(top_srcdir)/src/external/libcmocka.m4 \
	$(top_srcdir)/src/external/docbook.m4 \
	$(top_srcdir)/src/external/sizes.m4 \
	$(top_srcdir)/src/external/python.m4 \
	$(top_srcdir)/src/external/selinux.m4 \
	$(top_srcdir)/src/external/crypto.m4 \
	$(top_srcdir)/src/external/nsupdate.m4 \
	$(top_srcdir)/src/external/libkeyutils.m4 \
	$(top_srcdir)/src/external/libkrad.m4 \
	$(top_srcdir)/src/external/libnl.m4 \
	$(top_srcdir)/src/external/pac_responder.m4 \
	$(top_srcdir)/src/external/cifsidmap.m4 \
	$(top_srcdir)/src/external/signal.m4 \
	$(top_srcdir)/src/external/inotify.m4 \
	$(top_srcdir)/src/external/samba.m4 \
	$(top_srcdir)/src/external/sasl.m4 \
	$(top_srcdir)/src/external/libnfsidmap.m4 \
	$(top_srcdir)/src/external/cwrap.m4 \
	$(top_srcdir)/src/external/libresolv.m4 \
	$(top_srcdir)/src/external/intgcheck.m4 \
	$(top_srcdir)/src/external/systemtap.m4 \
	$(top_srcdir)/src/external/service.m4 \
	$(top_srcdir)/src/external/test_ca.m4 \
	$(top_srcdir)/src/external/ax_valgrind_check.m4 \
	$(top_srcdir)/src/external/libjansson.m4 \
	$(top_srcdir)/src/external/libcurl.m4 \
	$(top_srcdir)/src/external/libjose.m4 \
	$(top_srcdir)/src/external/libuuid.m4 \
	$(top_srcdir)/src/external/libunistring.m4 \
	$(top_srcdir)/src/external/libpasskey.m4 \
	$(top_srcdir)/src/external/systemd.m4 \
	$(top_srcdir)/src/external/p11-kit.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(dist_noinst_DATA) \
	$(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/build/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DATA = $(dist_noinst_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	distdir distdir-am
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/build/mkinstalldirs README
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' autoconf
AUTOHEADER = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' autoheader
AUTOMAKE = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' automake-1.16
AWK = gawk
CAP_CFLAGS = 
CAP_LIBS = -lcap
CARES_CFLAGS = 
CARES_LIBS = -lcares
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -m64 -mtune=generic -fstack-protector-all -Wall -Wextra -Wno-sign-compare -Wshadow -Wunused-variable -Wno-unused-parameter -Wno-error=cpp -Wno-error=deprecated-declarations  -O0 -ggdb3 -Wp,-U_FORTIFY_SOURCE
CHECK_CFLAGS = 
CHECK_LIBS = -lcheck
CMOCKA_CFLAGS = 
CMOCKA_LIBS = -lcmocka
CPP = gcc -E
CPPFLAGS = 
CRYPTO_CFLAGS = 
CRYPTO_LIBS = -lcrypto
CSCOPE = cscope
CTAGS = ctags
CURL_CFLAGS = -DWITH_GZFILEOP
CURL_LIBS = -lcurl
CYGPATH_W = echo
DBUS_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include
DBUS_LIBS = -ldbus-1
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DHASH_CFLAGS = 
DHASH_LIBS = -ldhash
DLLTOOL = false
DOCBOOK_XSLT = http://docbook.sourceforge.net/release/xsl/current/manpages/profile-docbook.xsl
DOXYGEN = /usr/bin/doxygen
DSYMUTIL = 
DTRACE = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ENABLE_VALGRIND_drd = yes
ENABLE_VALGRIND_helgrind = yes
ENABLE_VALGRIND_memcheck = yes
ENABLE_VALGRIND_sgcheck = no
ETAGS = etags
EXEEXT = 
FAKETIME = /usr/bin/faketime
FGREP = /usr/bin/grep -F
FIDO2_CFLAGS = 
FIDO2_LIBS = 
FILECMD = file
GDM_PAM_EXTENSIONS_CFLAGS = -I/usr/include/gdm
GDM_PAM_EXTENSIONS_LIBS = 
GMSGFMT = /usr/bin/msgfmt
GPO_DEFAULT = enforcing
GREP = /usr/bin/grep
GSSAPI_KRB5_CFLAGS = 
GSSAPI_KRB5_LIBS = -lgssapi_krb5
HAVE_FAKEROOT = yes
HAVE_LDAPMODIFY = yes
HAVE_MANPAGES = 1
HAVE_NSS_WRAPPER = yes
HAVE_PAM_WRAPPER = yes
HAVE_PYTHON2 = yes
HAVE_PYTHON2_BINDINGS = 
HAVE_PYTHON3 = yes
HAVE_PYTHON3_BINDINGS = yes
HAVE_SELINUX = 1
HAVE_UID_WRAPPER = yes
IDMAP_SAMBA_LIBS = idmap-private-samba
INI_CONFIG_CFLAGS = 
INI_CONFIG_LIBS = -lini_config -lbasicobjects -lref_array -lcollection
INI_CONFIG_V1_3_CFLAGS = 
INI_CONFIG_V1_3_LIBS = -lini_config -lbasicobjects -lref_array -lcollection
INOTIFY_LIBS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
JANSSON_CFLAGS = 
JANSSON_LIBS = -ljansson
JOSE_CFLAGS = -DWITH_GZFILEOP
JOSE_LIBS = -ljose -ljansson
JOURNALD_CFLAGS = 
JOURNALD_LIBS = 
KEYUTILS_LIBS = -lkeyutils
KRAD_LIBS = -lkrad
KRB5_CFLAGS = 
KRB5_CONFIG = /usr/bin/krb5-config
KRB5_LIBS = -lkrb5 -lk5crypto -lcom_err
LD = /usr/bin/ld -m elf_x86_64
LDB_CFLAGS = -I/usr/include/samba-4.0
LDB_LIBS = -lldb
LDFLAGS = 
LIBADD_DL =  
LIBADD_DLD_LINK = 
LIBADD_DLOPEN = 
LIBADD_SHL_LOAD = 
LIBADD_TIMER = 
LIBCLOCK_GETTIME = 
LIBICONV = -liconv
LIBINTL = 
LIBNL1_CFLAGS = 
LIBNL1_LIBS = 
LIBNL3_CFLAGS = -I/usr/include/libnl3
LIBNL3_LIBS = -lnl-route-3 -lnl-3
LIBNL_CFLAGS = -I/usr/include/libnl3
LIBNL_LIBS = -lnl-route-3 -lnl-3
LIBOBJS =

=== src/tests/tests/test_ECC_CA/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# src/tests/test_ECC_CA/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/sssd
pkgincludedir = $(includedir)/sssd
pkglibdir = $(libdir)/sssd
pkglibexecdir = $(libexecdir)/sssd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = src/tests/test_ECC_CA
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/version.m4 $(top_srcdir)/src/build_macros.m4 \
	$(top_srcdir)/src/external/platform.m4 \
	$(top_srcdir)/src/conf_macros.m4 \
	$(top_srcdir)/src/external/pkg.m4 \
	$(top_srcdir)/src/external/libpopt.m4 \
	$(top_srcdir)/src/external/libtalloc.m4 \
	$(top_srcdir)/src/external/libtdb.m4 \
	$(top_srcdir)/src/external/libtevent.m4 \
	$(top_srcdir)/src/external/libldb.m4 \
	$(top_srcdir)/src/external/libdhash.m4 \
	$(top_srcdir)/src/external/libini_config.m4 \
	$(top_srcdir)/src/external/libgssapi_krb5.m4 \
	$(top_srcdir)/src/external/pam.m4 \
	$(top_srcdir)/src/external/ldap.m4 \
	$(top_srcdir)/src/external/libpcre.m4 \
	$(top_srcdir)/src/external/krb5.m4 \
	$(top_srcdir)/src/external/libcares.m4 \
	$(top_srcdir)/src/external/libcmocka.m4 \
	$(top_srcdir)/src/external/docbook.m4 \
	$(top_srcdir)/src/external/sizes.m4 \
	$(top_srcdir)/src/external/python.m4 \
	$(top_srcdir)/src/external/selinux.m4 \
	$(top_srcdir)/src/external/crypto.m4 \
	$(top_srcdir)/src/external/nsupdate.m4 \
	$(top_srcdir)/src/external/libkeyutils.m4 \
	$(top_srcdir)/src/external/libkrad.m4 \
	$(top_srcdir)/src/external/libnl.m4 \
	$(top_srcdir)/src/external/pac_responder.m4 \
	$(top_srcdir)/src/external/cifsidmap.m4 \
	$(top_srcdir)/src/external/signal.m4 \
	$(top_srcdir)/src/external/inotify.m4 \
	$(top_srcdir)/src/external/samba.m4 \
	$(top_srcdir)/src/external/sasl.m4 \
	$(top_srcdir)/src/external/libnfsidmap.m4 \
	$(top_srcdir)/src/external/cwrap.m4 \
	$(top_srcdir)/src/external/libresolv.m4 \
	$(top_srcdir)/src/external/intgcheck.m4 \
	$(top_srcdir)/src/external/systemtap.m4 \
	$(top_srcdir)/src/external/service.m4 \
	$(top_srcdir)/src/external/test_ca.m4 \
	$(top_srcdir)/src/external/ax_valgrind_check.m4 \
	$(top_srcdir)/src/external/libjansson.m4 \
	$(top_srcdir)/src/external/libcurl.m4 \
	$(top_srcdir)/src/external/libjose.m4 \
	$(top_srcdir)/src/external/libuuid.m4 \
	$(top_srcdir)/src/external/libunistring.m4 \
	$(top_srcdir)/src/external/libpasskey.m4 \
	$(top_srcdir)/src/external/systemd.m4 \
	$(top_srcdir)/src/external/p11-kit.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(dist_noinst_DATA) \
	$(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/build/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DATA = $(dist_noinst_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/build/mkinstalldirs
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' autoconf
AUTOHEADER = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' autoheader
AUTOMAKE = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' automake-1.16
AWK = gawk
CAP_CFLAGS = 
CAP_LIBS = -lcap
CARES_CFLAGS = 
CARES_LIBS = -lcares
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -m64 -mtune=generic -fstack-protector-all -Wall -Wextra -Wno-sign-compare -Wshadow -Wunused-variable -Wno-unused-parameter -Wno-error=cpp -Wno-error=deprecated-declarations  -O0 -ggdb3 -Wp,-U_FORTIFY_SOURCE
CHECK_CFLAGS = 
CHECK_LIBS = -lcheck
CMOCKA_CFLAGS = 
CMOCKA_LIBS = -lcmocka
CPP = gcc -E
CPPFLAGS = 
CRYPTO_CFLAGS = 
CRYPTO_LIBS = -lcrypto
CSCOPE = cscope
CTAGS = ctags
CURL_CFLAGS = -DWITH_GZFILEOP
CURL_LIBS = -lcurl
CYGPATH_W = echo
DBUS_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include
DBUS_LIBS = -ldbus-1
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DHASH_CFLAGS = 
DHASH_LIBS = -ldhash
DLLTOOL = false
DOCBOOK_XSLT = http://docbook.sourceforge.net/release/xsl/current/manpages/profile-docbook.xsl
DOXYGEN = /usr/bin/doxygen
DSYMUTIL = 
DTRACE = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ENABLE_VALGRIND_drd = yes
ENABLE_VALGRIND_helgrind = yes
ENABLE_VALGRIND_memcheck = yes
ENABLE_VALGRIND_sgcheck = no
ETAGS = etags
EXEEXT = 
FAKETIME = /usr/bin/faketime
FGREP = /usr/bin/grep -F
FIDO2_CFLAGS = 
FIDO2_LIBS = 
FILECMD = file
GDM_PAM_EXTENSIONS_CFLAGS = -I/usr/include/gdm
GDM_PAM_EXTENSIONS_LIBS = 
GMSGFMT = /usr/bin/msgfmt
GPO_DEFAULT = enforcing
GREP = /usr/bin/grep
GSSAPI_KRB5_CFLAGS = 
GSSAPI_KRB5_LIBS = -lgssapi_krb5
HAVE_FAKEROOT = yes
HAVE_LDAPMODIFY = yes
HAVE_MANPAGES = 1
HAVE_NSS_WRAPPER = yes
HAVE_PAM_WRAPPER = yes
HAVE_PYTHON2 = yes
HAVE_PYTHON2_BINDINGS = 
HAVE_PYTHON3 = yes
HAVE_PYTHON3_BINDINGS = yes
HAVE_SELINUX = 1
HAVE_UID_WRAPPER = yes
IDMAP_SAMBA_LIBS = idmap-private-samba
INI_CONFIG_CFLAGS = 
INI_CONFIG_LIBS = -lini_config -lbasicobjects -lref_array -lcollection
INI_CONFIG_V1_3_CFLAGS = 
INI_CONFIG_V1_3_LIBS = -lini_config -lbasicobjects -lref_array -lcollection
INOTIFY_LIBS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
JANSSON_CFLAGS = 
JANSSON_LIBS = -ljansson
JOSE_CFLAGS = -DWITH_GZFILEOP
JOSE_LIBS = -ljose -ljansson
JOURNALD_CFLAGS = 
JOURNALD_LIBS = 
KEYUTILS_LIBS = -lkeyutils
KRAD_LIBS = -lkrad
KRB5_CFLAGS = 
KRB5_CONFIG = /usr/bin/krb5-config
KRB5_LIBS = -lkrb5 -lk5crypto -lcom_err
LD = /usr/bin/ld -m elf_x86_64
LDB_CFLAGS = -I/usr/include/samba-4.0
LDB_LIBS = -lldb
LDFLAGS = 
LIBADD_DL =  
LIBADD_DLD_LINK = 
LIBADD_DLOPEN = 
LIBADD_SHL_LOAD = 
LIBADD_TIMER = 
LIBCLOCK_GETTIME = 
LIBICONV = -liconv
LIBINTL = 
LIBNL1_CFLAGS = 
LIBNL1_LIBS = 
LIBNL3_CFLAGS = -I/usr/include/libnl3
LIBNL3_LIBS = -lnl-route-3 -lnl-3
LIBNL_CFLAGS = -I/usr/include/libnl3
LIBNL_LIBS = -lnl-route-3 -lnl-3
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LT_DLLOADERS =  dlopen.la
LT_DLPREOPEN = -dlpreopen dlopen.la 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/./build//mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NDR_KRB5PAC_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1
NDR_KRB5PAC_LIBS = -lndr-krb5pac -lndr-standard -lndr -lsamba-util -ltevent -ltalloc
NDR_NBT_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1
NDR_NBT_LIBS = -lndr-nbt -lndr -lsamba-util -ltevent -ltalloc
NFSIDMAP_CFLAGS = 
NFSIDMAP_LIBS = -lnfsidmap
NFSIDMAP_OBJ = 
NM = /usr/bin/nm -B
NMEDIT = 
NSUPDATE = /usr/bin/nsupdate
OBJDUMP = objdump
OBJEXT = o
OPENLDAP_CFLAGS = 
OPENLDAP_LIBS =  -llber -lldap
OPENSSL = /usr/bin/openssl
OTOOL = 
OTOOL64 = 
P11TOOL = /usr/bin/p11tool
P11_KIT_CFLAGS = -I/usr/include/p11-kit-1
P11_KIT_LIBS = -lp11-kit
PACKAGE = sssd
PACKAGE_BUGREPORT = sssd-devel@lists.fedorahosted.org
PACKAGE_NAME = sssd
PACKAGE_STRING = sssd 2.10.1
PACKAGE_TARNAME = sssd
PACKAGE_URL = 
PACKAGE_VERSION = 2.10.1
PAM_LIBS = -lpam
PAM_MISC_LIBS = -lpam_misc
PASSKEY_CFLAGS = 
PASSKEY_LIBS = 
PATH_SEPARATOR = :
PCRE_CFLAGS = 
PCRE_LIBS = -lpcre2-8
PKG_CONFIG = /usr/bin/pkg-config
PO4A = po4a
POPT_CFLAGS = 
POPT_LIBS = -lpopt
POSUB = po
PRERELEASE_VERSION = 
PYTHON = 
PYTHON2 = /usr/bin/python2
PYTHON2_CFLAGS = 
PYTHON2_EXEC_PREFIX = 
PYTHON2_INCLUDES = 
PYTHON2_LIBS = 
PYTHON2_PREFIX = 
PYTHON2_VERSION = 
PYTHON3 = /usr/bin/python3
PYTHON3_CFLAGS = -I/usr/include/python3.13 -I/usr/include/python3.13  -fno-strict-overflow -Wsign-compare -fexceptions -fcf-protection   -DDYNAMIC_ANNOTATIONS_ENABLED=1 -DNDEBUG -fexceptions -fcf-protection 
PYTHON3_EXEC_PREFIX = ${exec_prefix}
PYTHON3_INCLUDES = -I/usr/include/python3.13 -I/usr/include/python3.13
PYTHON3_LIBS =  -ldl  -lm 
PYTHON3_PREFIX = ${prefix}
PYTHON3_VERSION = 3.13
PYTHON_CONFIG = 
PYTHON_EXEC = /usr/bin/python3
PYTHON_EXEC_INTG = 
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 
RANLIB = ranlib
RESOLV_CFLAGS = 
RESOLV_LIBS = -L/usr/local/lib -lresolv

=== src/tests/tests/multihost/docs/Makefile ===
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = docs

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Nexus.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Nexus.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Nexus"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Nexus"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== src/tests/tests/test_CA/intermediate_CA/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# src/tests/test_CA/intermediate_CA/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/sssd
pkgincludedir = $(includedir)/sssd
pkglibdir = $(libdir)/sssd
pkglibexecdir = $(libexecdir)/sssd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = src/tests/test_CA/intermediate_CA
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/version.m4 $(top_srcdir)/src/build_macros.m4 \
	$(top_srcdir)/src/external/platform.m4 \
	$(top_srcdir)/src/conf_macros.m4 \
	$(top_srcdir)/src/external/pkg.m4 \
	$(top_srcdir)/src/external/libpopt.m4 \
	$(top_srcdir)/src/external/libtalloc.m4 \
	$(top_srcdir)/src/external/libtdb.m4 \
	$(top_srcdir)/src/external/libtevent.m4 \
	$(top_srcdir)/src/external/libldb.m4 \
	$(top_srcdir)/src/external/libdhash.m4 \
	$(top_srcdir)/src/external/libini_config.m4 \
	$(top_srcdir)/src/external/libgssapi_krb5.m4 \
	$(top_srcdir)/src/external/pam.m4 \
	$(top_srcdir)/src/external/ldap.m4 \
	$(top_srcdir)/src/external/libpcre.m4 \
	$(top_srcdir)/src/external/krb5.m4 \
	$(top_srcdir)/src/external/libcares.m4 \
	$(top_srcdir)/src/external/libcmocka.m4 \
	$(top_srcdir)/src/external/docbook.m4 \
	$(top_srcdir)/src/external/sizes.m4 \
	$(top_srcdir)/src/external/python.m4 \
	$(top_srcdir)/src/external/selinux.m4 \
	$(top_srcdir)/src/external/crypto.m4 \
	$(top_srcdir)/src/external/nsupdate.m4 \
	$(top_srcdir)/src/external/libkeyutils.m4 \
	$(top_srcdir)/src/external/libkrad.m4 \
	$(top_srcdir)/src/external/libnl.m4 \
	$(top_srcdir)/src/external/pac_responder.m4 \
	$(top_srcdir)/src/external/cifsidmap.m4 \
	$(top_srcdir)/src/external/signal.m4 \
	$(top_srcdir)/src/external/inotify.m4 \
	$(top_srcdir)/src/external/samba.m4 \
	$(top_srcdir)/src/external/sasl.m4 \
	$(top_srcdir)/src/external/libnfsidmap.m4 \
	$(top_srcdir)/src/external/cwrap.m4 \
	$(top_srcdir)/src/external/libresolv.m4 \
	$(top_srcdir)/src/external/intgcheck.m4 \
	$(top_srcdir)/src/external/systemtap.m4 \
	$(top_srcdir)/src/external/service.m4 \
	$(top_srcdir)/src/external/test_ca.m4 \
	$(top_srcdir)/src/external/ax_valgrind_check.m4 \
	$(top_srcdir)/src/external/libjansson.m4 \
	$(top_srcdir)/src/external/libcurl.m4 \
	$(top_srcdir)/src/external/libjose.m4 \
	$(top_srcdir)/src/external/libuuid.m4 \
	$(top_srcdir)/src/external/libunistring.m4 \
	$(top_srcdir)/src/external/libpasskey.m4 \
	$(top_srcdir)/src/external/systemd.m4 \
	$(top_srcdir)/src/external/p11-kit.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(dist_noinst_DATA) \
	$(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/build/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DATA = $(dist_noinst_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/build/mkinstalldirs
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' autoconf
AUTOHEADER = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' autoheader
AUTOMAKE = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' automake-1.16
AWK = gawk
CAP_CFLAGS = 
CAP_LIBS = -lcap
CARES_CFLAGS = 
CARES_LIBS = -lcares
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -m64 -mtune=generic -fstack-protector-all -Wall -Wextra -Wno-sign-compare -Wshadow -Wunused-variable -Wno-unused-parameter -Wno-error=cpp -Wno-error=deprecated-declarations  -O0 -ggdb3 -Wp,-U_FORTIFY_SOURCE
CHECK_CFLAGS = 
CHECK_LIBS = -lcheck
CMOCKA_CFLAGS = 
CMOCKA_LIBS = -lcmocka
CPP = gcc -E
CPPFLAGS = 
CRYPTO_CFLAGS = 
CRYPTO_LIBS = -lcrypto
CSCOPE = cscope
CTAGS = ctags
CURL_CFLAGS = -DWITH_GZFILEOP
CURL_LIBS = -lcurl
CYGPATH_W = echo
DBUS_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include
DBUS_LIBS = -ldbus-1
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DHASH_CFLAGS = 
DHASH_LIBS = -ldhash
DLLTOOL = false
DOCBOOK_XSLT = http://docbook.sourceforge.net/release/xsl/current/manpages/profile-docbook.xsl
DOXYGEN = /usr/bin/doxygen
DSYMUTIL = 
DTRACE = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ENABLE_VALGRIND_drd = yes
ENABLE_VALGRIND_helgrind = yes
ENABLE_VALGRIND_memcheck = yes
ENABLE_VALGRIND_sgcheck = no
ETAGS = etags
EXEEXT = 
FAKETIME = /usr/bin/faketime
FGREP = /usr/bin/grep -F
FIDO2_CFLAGS = 
FIDO2_LIBS = 
FILECMD = file
GDM_PAM_EXTENSIONS_CFLAGS = -I/usr/include/gdm
GDM_PAM_EXTENSIONS_LIBS = 
GMSGFMT = /usr/bin/msgfmt
GPO_DEFAULT = enforcing
GREP = /usr/bin/grep
GSSAPI_KRB5_CFLAGS = 
GSSAPI_KRB5_LIBS = -lgssapi_krb5
HAVE_FAKEROOT = yes
HAVE_LDAPMODIFY = yes
HAVE_MANPAGES = 1
HAVE_NSS_WRAPPER = yes
HAVE_PAM_WRAPPER = yes
HAVE_PYTHON2 = yes
HAVE_PYTHON2_BINDINGS = 
HAVE_PYTHON3 = yes
HAVE_PYTHON3_BINDINGS = yes
HAVE_SELINUX = 1
HAVE_UID_WRAPPER = yes
IDMAP_SAMBA_LIBS = idmap-private-samba
INI_CONFIG_CFLAGS = 
INI_CONFIG_LIBS = -lini_config -lbasicobjects -lref_array -lcollection
INI_CONFIG_V1_3_CFLAGS = 
INI_CONFIG_V1_3_LIBS = -lini_config -lbasicobjects -lref_array -lcollection
INOTIFY_LIBS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTL_MACOSX_LIBS = 
JANSSON_CFLAGS = 
JANSSON_LIBS = -ljansson
JOSE_CFLAGS = -DWITH_GZFILEOP
JOSE_LIBS = -ljose -ljansson
JOURNALD_CFLAGS = 
JOURNALD_LIBS = 
KEYUTILS_LIBS = -lkeyutils
KRAD_LIBS = -lkrad
KRB5_CFLAGS = 
KRB5_CONFIG = /usr/bin/krb5-config
KRB5_LIBS = -lkrb5 -lk5crypto -lcom_err
LD = /usr/bin/ld -m elf_x86_64
LDB_CFLAGS = -I/usr/include/samba-4.0
LDB_LIBS = -lldb
LDFLAGS = 
LIBADD_DL =  
LIBADD_DLD_LINK = 
LIBADD_DLOPEN = 
LIBADD_SHL_LOAD = 
LIBADD_TIMER = 
LIBCLOCK_GETTIME = 
LIBICONV = -liconv
LIBINTL = 
LIBNL1_CFLAGS = 
LIBNL1_LIBS = 
LIBNL3_CFLAGS = -I/usr/include/libnl3
LIBNL3_LIBS = -lnl-route-3 -lnl-3
LIBNL_CFLAGS = -I/usr/include/libnl3
LIBNL_LIBS = -lnl-route-3 -lnl-3
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
LT_DLLOADERS =  dlopen.la
LT_DLPREOPEN = -dlpreopen dlopen.la 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} '/home/pbrezina/workspace/sssd-origin/sssd-2.10.1/build/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
MKINSTALLDIRS = $(top_builddir)/./build//mkinstalldirs
MSGFMT = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NDR_KRB5PAC_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1
NDR_KRB5PAC_LIBS = -lndr-krb5pac -lndr-standard -lndr -lsamba-util -ltevent -ltalloc
NDR_NBT_CFLAGS = -I/usr/include/samba-4.0 -D_GNU_SOURCE=1 -DHAVE_IMMEDIATE_STRUCTURES=1
NDR_NBT_LIBS = -lndr-nbt -lndr -lsamba-util -ltevent -ltalloc
NFSIDMAP_CFLAGS = 
NFSIDMAP_LIBS = -lnfsidmap
NFSIDMAP_OBJ = 
NM = /usr/bin/nm -B
NMEDIT = 
NSUPDATE = /usr/bin/nsupdate
OBJDUMP = objdump
OBJEXT = o
OPENLDAP_CFLAGS = 
OPENLDAP_LIBS =  -llber -lldap
OPENSSL = /usr/bin/openssl
OTOOL = 
OTOOL64 = 
P11TOOL = /usr/bin/p11tool
P11_KIT_CFLAGS = -I/usr/include/p11-kit-1
P11_KIT_LIBS = -lp11-kit
PACKAGE = sssd
PACKAGE_BUGREPORT = sssd-devel@lists.fedorahosted.org
PACKAGE_NAME = sssd
PACKAGE_STRING = sssd 2.10.1
PACKAGE_TARNAME = sssd
PACKAGE_URL = 
PACKAGE_VERSION = 2.10.1
PAM_LIBS = -lpam
PAM_MISC_LIBS = -lpam_misc
PASSKEY_CFLAGS = 
PASSKEY_LIBS = 
PATH_SEPARATOR = :
PCRE_CFLAGS = 
PCRE_LIBS = -lpcre2-8
PKG_CONFIG = /usr/bin/pkg-config
PO4A = po4a
POPT_CFLAGS = 
POPT_LIBS = -lpopt
POSUB = po
PRERELEASE_VERSION = 
PYTHON = 
PYTHON2 = /usr/bin/python2
PYTHON2_CFLAGS = 
PYTHON2_EXEC_PREFIX = 
PYTHON2_INCLUDES = 
PYTHON2_LIBS = 
PYTHON2_PREFIX = 
PYTHON2_VERSION = 
PYTHON3 = /usr/bin/python3
PYTHON3_CFLAGS = -I/usr/include/python3.13 -I/usr/include/python3.13  -fno-strict-overflow -Wsign-compare -fexceptions -fcf-protection   -DDYNAMIC_ANNOTATIONS_ENABLED=1 -DNDEBUG -fexceptions -fcf-protection 
PYTHON3_EXEC_PREFIX = ${exec_prefix}
PYTHON3_INCLUDES = -I/usr/include/python3.13 -I/usr/include/python3.13
PYTHON3_LIBS =  -ldl  -lm 
PYTHON3_PREFIX = ${prefix}
PYTHON3_VERSION = 3.13
PYTHON_CONFIG = 
PYTHON_EXEC = /usr/bin/python3
PYTHON_EXEC_INTG = 
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 
RANLIB = ranlib
RESOLV_CFLAGS =

=== debian/changelog ===
sssd (2.10.1-2ubuntu5) questing; urgency=medium

  * d/apparmor-profile: update apparmor profile for smartcard authentication
    (LP: #2109673)

 -- Seyeong Kim <seyeong.kim@canonical.com>  Tue, 24 Jun 2025 00:06:47 +0000

sssd (2.10.1-2ubuntu4) plucky; urgency=medium

  * Another no-change rebuild with samba 4.21.4: the previous riscv64 build of
    sssd still picked up libndr4 instead of libndr5 from new samba
    (LP: #2104009)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 24 Mar 2025 09:38:10 -0300

sssd (2.10.1-2ubuntu3) plucky; urgency=medium

  * No-change rebuild with new samba 4.21.4

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 20 Feb 2025 14:49:03 -0300

sssd (2.10.1-2ubuntu2) plucky; urgency=medium

  * Reintroduce faketime on armhf, it might be fixed now
    (LP: #2059078)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 14:16:44 +0100

sssd (2.10.1-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2094862). Remaining changes:
    - d/control: Drop libgdm-dev Build-Depend on i386.
    - d/control: Don't build sssd-tools on i386, now uninstallable due
      to added python3-{click,systemd} dependencies.
    - d/control: faketime is used for tests, and is currently not
      working on armhf with a 64bit time_t (see LP #2059078)
  * Drop changes:
    - Don't build-depend on valgrind, not available on riscv64.
      [ Not needed anymore. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 14 Jan 2025 16:44:56 -0500

sssd (2.10.1-2) unstable; urgency=medium

  [ Timo Aaltonen ]
  * control: Drop valgrind from build-depends again.
  * drop-valgrind.diff: Drop a check for if a test is running on
    valgrind, avoids the build-dep and ftbfs on where valgrind is not
    available.
  * control: Add systemd to build-depends since build-tests require
    systemctl.
  * tests: Use a 2048bit private key. (Closes: #1092722)

  [ Michal Maloszewski  ]
  * d/apparmor-profile: Update profile to silence extraneous ALLOWED
    messages.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 14 Jan 2025 08:45:10 +0200

sssd (2.10.1-1ubuntu2) plucky; urgency=medium

  * Don't build-depend on valgrind, not available on riscv64.

 -- Matthias Klose <doko@p1>  Tue, 14 Jan 2025 06:22:11 +0100

sssd (2.10.1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085296). Remaining changes:
    - d/control: Drop libgdm-dev Build-Depend on i386.
    - d/control: Don't build sssd-tools on i386, now uninstallable due
      to added python3-{click,systemd} dependencies.
    - d/apparmor-profile: Add some entries to apparmor-profile file
      to get rid of the extraneous ALLOWED messages visible in the
      /var/log/syslog. (LP #1999190)
    - d/control: faketime is used for tests, and is currently not
      working on armhf with a 64bit time_t (see LP #2059078)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 09 Jan 2025 13:37:39 -0500

sssd (2.10.1-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * watch: Updated.
  * patches: Refreshed.
  * control: Add valgrind and libcap-dev to build-depends.
  * install: Updated.

  [ Andreas Hasenack ]
  * autopkgtests: also gather sssd logs in case of failure
  * postinst: add filesystem capabilities to several helpers
  * control: add libcap2-bin dependency
  * rules: don't change permissions of proxy_child and sssd_pam

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Jan 2025 12:34:49 +0200

sssd (2.9.5-5) unstable; urgency=medium

  * Team upload.

  [ Andreas Hasenack ]
  * autopkgtests: switch to ssh for the login test (Closes: #1081027)
  * autopkgtests: display logs in the case of a failure

 -- Simon Josefsson <simon@josefsson.org>  Fri, 20 Dec 2024 16:15:34 +0100

sssd (2.9.5-4) unstable; urgency=medium

  * Team upload.

  [ Michael Prokop ]
  * autopkgtests: increase expect timeout to address flaky ldap-user-group-ldap-auth under control
    (Closes: #1081027)

 -- Simon Josefsson <simon@josefsson.org>  Tue, 26 Nov 2024 11:06:09 +0100

sssd (2.9.5-3ubuntu3) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 06:05:28 +0100

sssd (2.9.5-3ubuntu2) oracular; urgency=medium

  * No-change rebuild with new samba-libs, to pick up libndr4

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 03 Jul 2024 20:53:11 -0300

sssd (2.9.5-3ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064469). Remaining changes:
    - d/control: Drop libgdm-dev Build-Depend on i386.
    - d/control: Don't build sssd-tools on i386, now uninstallable due
      to added python3-{click,systemd} dependencies.
    - d/apparmor-profile: Add some entries to apparmor-profile file
      to get rid of the extraneous ALLOWED messages visible in the
      /var/log/syslog. (LP #1999190)
    - d/control: faketime is used for tests, and is currently not
      working on armhf with a 64bit time_t (see LP #2059078)
  * Drop changes:
    - Fix build-time tests (LP #2058576):
      + d/p/fix-format-string-time64.patch: fix format string used for a
        timestamp filter string. Thanks to Sergio Durigan Junior
        <sergio.durigan@canonical.com> for the troubleshooting session.
      [ Incorporated upstream. ]
    - SECURITY UPDATE: race when GPO policy is being applied
      + debian/patches/CVE-2023-3758.patch: use hash to store intermediate
        results in src/providers/ad/ad_gpo.c.
      + CVE-2023-3758
      [ Incorporated upstream. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 24 Jun 2024 16:22:21 -0400

sssd (2.9.4-1.1ubuntu7) oracular; urgency=medium

  * SECURITY UPDATE: race when GPO policy is being applied
    - debian/patches/CVE-2023-3758.patch: use hash to store intermediate
      results in src/providers/ad/ad_gpo.c.
    - CVE-2023-3758

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 07 Jun 2024 10:50:41 -0400

=== debian/control ===
Source: sssd
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian SSSD Team <pkg-sssd-devel@alioth-lists.debian.net>
Uploaders: Timo Aaltonen <tjaalton@debian.org>,
 Dominik George <natureshadow@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5),
 autopoint,
 bc,
 check <!nocheck>,
 cifs-utils,
 debhelper-compat (= 13),
 dh-apparmor,
 dh-python,
 dh-sequence-installnss,
 bind9-dnsutils,
 docbook-xml,
 docbook-xsl,
 dpkg-dev (>= 1.16.1~),
 faketime <!nocheck>,
 gnutls-bin <!nocheck>,
 krb5-config,
 ldap-utils,
 libaugeas-dev,
 libc-ares-dev,
 libcap-dev,
 libcmocka-dev <!nocheck>,
 libcollection-dev,
 libcurl4-openssl-dev,
 libdbus-1-dev,
 libdhash-dev,
 libfido2-dev,
 libgdm-dev [!s390x !kfreebsd-any !hurd-any !i386],
 libglib2.0-dev,
 libini-config-dev,
 libjansson-dev,
 libjose-dev,
 libkeyutils-dev [linux-any],
 libkrad-dev,
 libkrb5-dev (>= 1.12),
 libldap2-dev,
 libldb-dev,
 libltdl-dev,
 libnfsidmap-dev,
 libnl-3-dev [linux-any],
 libnl-route-3-dev [linux-any],
 libnss-wrapper <!nocheck>,
 libp11-kit-dev,
 libpam-wrapper <!nocheck>,
 libpam0g-dev | libpam-dev,
 libpcre2-dev,
 libpopt-dev,
 libsasl2-dev,
 libselinux1-dev [linux-any],
 libsemanage-dev [linux-any],
 libsmbclient-dev,
 libssl-dev,
 libsubid-dev,
 libsystemd-dev [linux-any],
 libtalloc-dev,
 libtdb-dev,
 libtevent-dev,
 libuid-wrapper <!nocheck>,
 libunistring-dev,
 libxml2-utils,
 lsb-release,
 openssh-client <!nocheck>,
 openssl <!nocheck>,
 pkgconf,
 python3-dev,
 python3-setuptools,
 samba-dev (>= 2:4.1.13),
 softhsm2 <!nocheck>,
 systemd,
 systemd-dev,
 systemtap-sdt-dev,
 uuid-dev,
 xml-core,
 xsltproc
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/sssd-team/sssd.git
Vcs-Browser: https://salsa.debian.org/sssd-team/sssd
Homepage: https://github.com/SSSD/sssd

Package: sssd
Section: metapackages
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends:
 python3-sss (= ${binary:Version}),
 sssd-ad (= ${binary:Version}),
 sssd-common (= ${binary:Version}),
 sssd-ipa (= ${binary:Version}),
 sssd-krb5 (= ${binary:Version}),
 sssd-ldap (= ${binary:Version}),
 sssd-proxy (= ${binary:Version}),
 ${misc:Depends}
Description: System Security Services Daemon -- metapackage
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package is a metapackage which installs the daemon and existing
 authentication back ends.

Package: sssd-common
Architecture: any
Depends:
 libcap2-bin,
 libnss-sss (= ${binary:Version}),
 libpam-sss (= ${binary:Version}),
 python3,
 python3-sss,
 ${misc:Depends},
 ${shlibs:Depends},
 adduser,
Recommends:
 bind9-dnsutils,
 bind9-host,
Suggests:
 apparmor,
 libsss-sudo,
 sssd-tools
Description: System Security Services Daemon -- common files
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package provides the daemon and other common files needed by the
 authentication back ends.

Package: sssd-ad
Architecture: any
Depends:
 libcap2-bin,
 libsss-idmap0 (= ${binary:Version}),
 sssd-ad-common (= ${binary:Version}),
 sssd-common (= ${binary:Version}),
 sssd-krb5-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 adcli,
Description: System Security Services Daemon -- Active Directory back end
 Provides the Active Directory back end that the SSSD can utilize to fetch
 identity data from and authenticate against an Active Directory server.

Package: sssd-ad-common
Architecture: any
Depends: sssd-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: System Security Services Daemon -- PAC responder
 Provides the PAC responder that the AD and IPA backends can use for
 fetching additional attributes from the kerberos ticket.

Package: sssd-dbus
Architecture: any
Depends: sssd-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: System Security Services Daemon -- D-Bus responder
 Provides the D-Bus responder called InfoPipe, that allows the information
 from the SSSD to be transmitted over the system bus.

Package: sssd-idp
Architecture: any
Depends: sssd-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: System Security Services Daemon -- Kerberos plugins for external id providers
 Provides Kerberos plugins that are required to enable authentication against
 external identity providers.

Package: sssd-ipa
Architecture: any
Depends:
 libcap2-bin,
 libipa-hbac0t64 (= ${binary:Version}),
 libsss-idmap0 (= ${binary:Version}),
 sssd-ad-common (= ${binary:Version}),
 sssd-common (= ${binary:Version}),
 sssd-krb5-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: System Security Services Daemon -- IPA back end
 Provides the IPA back end that the SSSD can utilize to fetch identity data
 from and authenticate against an IPA server.

Package: sssd-kcm
Architecture: any
Depends:
 sssd-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: System Security Services Daemon -- Kerberos KCM server implementation
 Provides an implementation of a Kerberos KCM server. Use this package if
 you want to use the KCM: Kerberos credentials cache.

Package: sssd-krb5
Architecture: any
Depends:
 sssd-common (= ${binary:Version}),
 sssd-krb5-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: sssd-common (<< 2.7.0-1)
Replaces: sssd-common (<< 2.7.0-1)
Description: System Security Services Daemon -- Kerberos back end
 Provides the Kerberos back end that the SSSD can utilize authenticate
 against a Kerberos server.

Package: sssd-krb5-common
Architecture: any
Depends: sssd-common (= ${binary:Version}),
 libcap2-bin,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
Description: System Security Services Daemon -- Kerberos helpers
 Provides helper processes that the LDAP and Kerberos back ends can use for
 Kerberos user or host authentication.

Package: sssd-ldap
Architecture: any
Depends:
 libsss-idmap0 (= ${binary:Version}),
 sssd-common (= ${binary:Version}),
 sssd-krb5-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: ldap-utils
Suggests: libsasl2-modules-ldap
Description: System Security Services Daemon -- LDAP back end
 Provides the LDAP back end that the SSSD can utilize to fetch identity data
 from and authenticate against an LDAP server.

Package: sssd-passkey
Architecture: any
Depends: sssd-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: System Security Services Daemon -- passkey helpers and plugins
 Provides the helper processes and Kerberos plugins that are required to
 enable authentication with a passkey token.

Package: sssd-proxy
Architecture: any
Depends: sssd-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: System Security Services Daemon -- proxy back end
 Provides the proxy back end which can be used to wrap an existing NSS and/or
 PAM modules to leverage SSSD caching.

Package: sssd-tools
Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
Depends:
 python3,
 python3-sss,
 python3-systemd,
 sssd-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: sssd-dbus
Description: System Security Services Daemon -- tools
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package provides tools to manage users, groups and nested groups when
 using the local id provider.

Package: libnss-sss
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: sssd
Multi-Arch: same
Description: Nss library for the System Security Services Daemon
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package provide the nss library to connect to the sssd daemon.

Package: libpam-sss
Architecture: any
Depends:
 libpam-pwquality (>= 1.2.2-1),
 libpam-runtime (>= 1.0.1-6),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: sssd
Multi-Arch: same
Description: Pam module for the System Security Services Daemon
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package provide the pam module to connect to the sssd daemon.

Package: libipa-hbac0t64
Provides: ${t64:Provides}
Replaces: libipa-hbac0
Breaks: libipa-hbac0 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: FreeIPA HBAC Evaluator library
 Utility library to validate FreeIPA HBAC rules for authorization requests.

Package: libipa-hbac-dev
Section: libdevel
Architecture: any
Depends: libipa-hbac0t64 (= ${binary:Version}), ${misc:Depends}
Description: FreeIPA HBAC Evaluator library -- development files
 Utility library to validate FreeIPA HBAC rules for authorization requests.
 .
 This package contains header files and symlinks to develop programs which will
 use the libipa-hbac library.

Package: libsss-certmap0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Certificate mapping library for SSSD
 Library to map certificates to users based on rules.

Package: libsss-certmap-dev
Section: libdevel
Architecture: any
Depends: libsss-certmap0 (= ${binary:Version}), ${misc:Depends}
Description: Certificate mapping library for SSSD -- development files
 Utility library to map certificates to users based on rules.
 .
 This package contains header files and symlinks to develop programs which will
 use the libsss-certmap library.

Package: libsss-idmap0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ID mapping library for SSSD
 Utility library to convert SIDs to Unix uids and gids.

Package: libsss-idmap-dev
Section: libdevel
Architecture: any
Depends: libsss-idmap0 (= ${binary:Version}), ${misc:Depends}
Description: ID mapping library for SSSD -- development files
 Utility library to convert SIDs to Unix uids and gids.
 .
 This package contains header files and symlinks to develop programs which will
 use the libsss-idmap library.

Package: libsss-nss-idmap0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SID based lookups library for SSSD
 Utility library for SID based lookups.

Package: libsss-nss-idmap-dev
Section: libdevel
Architecture: any
Depends: libsss-nss-idmap0 (= ${binary:Version}), ${misc:Depends}
Description: SID based lookups library for SSSD -- development files
 Utility library for SID based lookups.
 .
 This package contains header files and symlinks to develop programs which will
 use the libsss-nss-idmap library.

Package: libsss-sudo
Section: libs

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python3 \
		--builddirectory=build

export DEB_BUILD_MAINT_OPTIONS = optimize=-lto

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -I/usr/include/samba-4.0

export CK_DEFAULT_TIMEOUT=30
export am_cv_python_pythondir=/usr/lib/python3/dist-packages
export am_cv_python_pyexecdir=/usr/lib/python3/dist-packages
export systemdsystemunitdir=$(shell pkgconf --variable=systemdsystemunitdir systemd | sed s,^/,,)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

APIDOCDIR = /usr/share/sssd
DISTRIBUTION = $(shell lsb_release -i | sed 's/.*:\t//')
PKGDATE = $(shell dpkg-parsechangelog | \
	awk -F" " '/^Date/ { print $$4 "/" $$3 "/" $$5 }' | \
	sed 's/Jan/01/;s/Feb/02/;s/Mar/03/;s/Apr/04/;s/May/05/;s/Jun/06/;s/Jul/07/;s/Aug/08/;s/Sep/09/;s/Oct/10/;s/Nov/11/;s/Dec/12/;s/\//\\\//g')
CURDATE = $(shell date +%m/%d/%Y | sed 's/\//\\\//g')
export CK_VERBOSITY=verbose

override_dh_auto_configure:
	dh_auto_configure -- --enable-krb5-locator-plugin \
	--datadir=/usr/share/ \
	--with-environment-file=/etc/default/sssd \
	--with-krb5-plugin-path=/usr/lib/$(DEB_HOST_MULTIARCH)/krb5/plugins/libkrb5 \
	--enable-nsslibdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--enable-pammoddir=/usr/lib/$(DEB_HOST_MULTIARCH)/security \
	--enable-systemtap \
	--disable-static \
	--disable-rpath \
	--with-autofs \
	--with-crypto=libcrypto \
	--with-ssh \
	--with-initscript=systemd \
	--with-systemdunitdir=/$(systemdsystemunitdir) \
	--with-files-provider \
	--with-smb-idmap-interface-version=6 \
	--without-python2-bindings \
	--with-syslog=journald \
	--with-pid-path=/run \
	--with-sssd-user=root \
	--with-sudo \
	--with-subid \
	--with-passkey

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	export CK_TIMEOUT_MULTIPLIER=10
  ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
	dh_auto_test -- VERBOSE=yes || true
  else
	dh_auto_test -- VERBOSE=yes
  endif
	unset CK_TIMEOUT_MULTIPLIER
endif

override_dh_auto_install:
	dh_auto_install --max-parallel=1

override_dh_fixperms:
	dh_fixperms -Xproxy_child -Xkrb5_child -Xldap_child -Xselinux_child -Xsssd_pam

override_dh_install:
	install -D -m755 $(CURDIR)/debian/generate-config \
		$(CURDIR)/debian/tmp/usr/share/sssd/generate-config

	mkdir -p $(CURDIR)/debian/libpam-sss/usr/share/pam-configs
	install -m644 debian/libpam-sss.pam-auth-update \
		$(CURDIR)/debian/libpam-sss/usr/share/pam-configs/sss
	install -m644 debian/libpam-sss-smart-card-optional.pam-auth-update \
		$(CURDIR)/debian/libpam-sss/usr/share/pam-configs/sss-smart-card-optional
	install -m644 debian/libpam-sss-smart-card-required.pam-auth-update \
		$(CURDIR)/debian/libpam-sss/usr/share/pam-configs/sss-smart-card-required
	install -m644 -D $(CURDIR)/debian/apparmor-profile \
		$(CURDIR)/debian/sssd-common/etc/apparmor.d/usr.sbin.sssd

	# remove files we don't want to install
	find $(CURDIR)/debian/tmp/ -name '*.la' -exec rm '{}' ';'
	find $(CURDIR)/debian/tmp/ -name '*.pyc' -exec rm '{}' ';'
	# We need to use '+' instead of ';' due to the way 'find' and
	# 'rm' interact with each other.
	find $(CURDIR)/debian/tmp/ -name '*.egg-info' -exec rm -r '{}' '+'
	rm -f $(CURDIR)/debian/tmp/etc/rc.d/init.d/sssd

	# match nn/nn/nnnn, replace with the date from changelog
	sed -i 's/[0-1][0-9]\/[0-3][0-9]\/[0-9][0-9][0-9][0-9]/${PKGDATE}/g' $(CURDIR)/debian/tmp/usr/share/man/man*/*

	# change the shebang
	sed -i -e 's:/usr/bin/python:/usr/bin/python3:' $(CURDIR)/debian/tmp/usr/sbin/sss_obfuscate

	mkdir -p debian/tmp/etc/krb5.conf.d
	# Enable krb5 idp plugins by default (when sssd-idp package is installed)
	cp debian/tmp/usr/share/sssd/krb5-snippets/sssd_enable_idp \
		debian/tmp/etc/krb5.conf.d/sssd_enable_idp
	# Kerberos KCM credential cache by default
	cp debian/tmp/usr/share/sssd-kcm/kcm_default_ccache \
		debian/tmp/etc/krb5.conf.d/kcm_default_ccache
	# krb5 configuration snippet
	cp debian/tmp/usr/share/sssd/krb5-snippets/enable_sssd_conf_dir \
		debian/tmp/etc/krb5.conf.d/enable_sssd_conf_dir

	dh_install

override_dh_installman:

override_dh_missing:
	dh_missing --fail-missing

override_dh_installinit:
	dh_apparmor -psssd-common --profile-name=usr.sbin.sssd
	dh_installinit --name sssd --error-handler=invoke_failure

override_dh_installdeb:
	dh_installdeb
	for pkg in sssd-common sssd-ipa sssd-krb5-common sssd-proxy; do \
		sed -i 's/@TRIPLET@/${DEB_HOST_MULTIARCH}/' \
		$(CURDIR)/debian/$$pkg/DEBIAN/postinst; \
	done

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/po/*.gmo
	rm -f $(CURDIR)/src/config/*.pyc
	rm -f $(CURDIR)/po/stamp-po
	rm -f $(CURDIR)/src/sbus/codegen/__pycache__/*.pyc

=== debian/watch ===
#git=https://github.com/SSSD/sssd
version=4
opts="uversionmangle=s/-alpha/~alpha/;s/-beta/~beta/,pgpsigurlmangle=s/$/.asc/, \
      filenamemangle=s#@ANY_VERSION@$#$1.tar.gz#, \
      downloadurlmangle=s#/tag/#/download/#;s#@ANY_VERSION@$#$1/@PACKAGE@-$1.tar.gz#" \
https://github.com/SSSD/sssd/tags .*/releases/tag/@ANY_VERSION@
